# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

logger.info("data_store:{}".format(data_store))

def handle_notification(name, notification, profile):
    logger.info("name {}".format(name))
    Exportdata(data = {name: notification}, exports = ['wavefront'])

profile = data_store['profile']
for key in data_store['metrics'].keys():
    if data_store['metrics'][key]:
        notification = data_store['metrics'][key]['value']
        handle_notification(key, notification, profile)
    else:
        logger.warn("Metric {}: No changes needs be reported.".format(key))
