# **********************************************************************
# Copyright 2014-2017 VMware, Inc.  All rights reserved. VMware Confidential.
# **********************************************************************
# $Id$
# $DateTime$
# $Change$
# $Author$
# **********************************************************************


CAPTURE_STARTED = 0
CAPTURE_FAILED = 1
CAPTURE_INVALID_INTERFACE = 2
CAPTURE_INTERRUPT_CTRL_C = 3


CENTRAL_CLI_END_TOKEN = 'exec'
CENTRAL_CLI_START_TOKEN = 'on'
CENTRAL_CLI_STR = 'CentralCLI'


CLI_DEFAULT_INACTIVITY_TIMEOUT = 600


CMD_MATCH_EXACT = 0
CMD_MATCH_FAILED = 1
CMD_MATCH_PARTIAL = 2
CMD_MATCH_VALUE_MISMATCH = 3
CMD_MATCH_INCOMPLETE = 4


CMD_EXECUTED = 0
CMD_UNEXPECTED_ERROR = 1
CMD_NOT_EXECUTED = 2
CMD_EXECUTED_REQUESTED_EXIT = 3
CMD_EXECUTED_WITH_ERROR_RESULT = 4
CMD_SESSION_TIMEOUT = 10
CMD_UNEXPECTED_EXCEPTION = 11
CMD_UNSUPPORTED_MODE = 12


CLI_INTERRUPTED_WHILE_LOAD = 12


DEVICE_LOG_PATH = "/dev/log"


END_TOKEN = ""
EXECUTE_COMMAND_HELP_ID = "<CR>"


MODE_ALL = "all"
MODE_ENABLE = "enable"
MODE_CONFIGURE = "configure"
MODE_INTERFACE = "interface"
MODE_TIER0_SR = "tier0_sr"
MODE_TIER1_SR = "tier1_sr"
MODE_TIER0_VRF_SR = "tier0_vrf_sr"
MODE_INTER_SR_VRF = "inter_sr_vrf"
MODE_REMOTE_TUNNEL_VRF = "remote_tunnel_vrf"
MODE_VRF = "vrf"
MODE_PATH = "path"
MODE_OFFLINEPATH = "offlinepath"
MODE_QUIT = "quit"
NON_QUIT_MODES = [
    MODE_ALL, MODE_ENABLE, MODE_CONFIGURE, MODE_INTERFACE, MODE_VRF,
    MODE_TIER0_SR, MODE_TIER1_SR, MODE_TIER0_VRF_SR, MODE_PATH,
    MODE_OFFLINEPATH, MODE_INTER_SR_VRF, MODE_REMOTE_TUNNEL_VRF]


NODE_TYPE_CLOUD_SERVICE_MANAGER = "nsx-cloud-service-manager"
NODE_TYPE_NSXAAS_DASHBOARD = "nsxaas-dashboard"
NODE_TYPE_CONTAINER_KUBE_PROXY = "nsx-container-kube-proxy"
NODE_TYPE_CONTAINER_NCP = "nsx-container-ncp"
NODE_TYPE_CONTAINER_NODE_AGENT = "nsx-container-node-agent"
NODE_TYPE_CONTROLLER = "nsx-controller"
NODE_TYPE_EDGE = "nsx-edge"
NODE_TYPE_AUTONOMOUS_EDGE = "nsx-autonomous-edge"
NODE_TYPE_HOST_ESX = "nsx-esx"
NODE_TYPE_HOST_KVM = "nsx-kvm"
NODE_TYPE_HOST_PUBLIC_CLOUD = "nsx-host-public-cloud"
NODE_TYPE_HOST_CENTOSKVM = "nsx-centoskvm"
NODE_TYPE_HOST_SLESKVM = "nsx-sleskvm"
NODE_TYPE_HOST_RHELKVM = "nsx-rhelkvm"
NODE_TYPE_HOST_UBUNTUKVM = "nsx-ubuntukvm"
NODE_TYPE_HOST_WIN = "nsx-hyperv"
NODE_TYPE_KEYMANAGER = "nsx-keymanager"
NODE_TYPE_MANAGER = "nsx-manager"
NODE_TYPE_POLICY = "nsx-policy-manager"
NODE_TYPE_PUBLIC_CLOUD_GATEWAY = "nsx-public-cloud-gateway"
NODE_TYPE_PACE = "nsx-intelligence"
NODE_TYPE_GLOBAL_MANAGER = "global-manager"
NODE_TYPE_BAREMETAL_SERVER = "nsx-bms"
NODE_TYPE_BAREMETAL_CONTAINER = "nsx-bmc"
NODE_TYPE_BAREMETAL_UBUNTU_SERVER = "nsx-baremetal-ubuntu-server"
NODE_TYPE_BAREMETAL_RHEL_SERVER = "nsx-baremetal-rhel-server"
NODE_TYPE_BAREMETAL_CENTOS_SERVER = "nsx-baremetal-centos-server"
NODE_TYPE_BAREMETAL_SLES_SERVER = "nsx-baremetal-suse-server"
NODE_TYPE_BAREMETAL_OEL_SERVER = "nsx-baremetal-oel-server"
NODE_TYPE_BAREMETAL_WINDOWS_SERVER = "nsx-baremetal-windows-server"
NODE_TYPE_BAREMETAL_RHEL_CONTAINER = "nsx-baremetal-rhel-container"
NODE_TYPE_BAREMETAL_CENTOS_CONTAINER = "nsx-baremetal-centos-container"

NODE_TYPE_UNKNOWN = "unknown"
NODE_TYPE_NSX_APPLIANCES = [
    NODE_TYPE_CONTROLLER, NODE_TYPE_CLOUD_SERVICE_MANAGER, NODE_TYPE_EDGE,
    NODE_TYPE_KEYMANAGER, NODE_TYPE_MANAGER, NODE_TYPE_POLICY,
    NODE_TYPE_NSXAAS_DASHBOARD, NODE_TYPE_PUBLIC_CLOUD_GATEWAY,
    NODE_TYPE_AUTONOMOUS_EDGE]


OUTPUT_MODIFIER_TOKEN = "|"
OUTPUT_MODIFIER_COUNT = "count"
OUTPUT_MODIFIER_FIND = "find"
OUTPUT_MODIFIER_FIRST = "first"
OUTPUT_MODIFIER_IGNORE = "ignore"
OUTPUT_MODIFIER_JSON = "json"
OUTPUT_MODIFIER_LAST = "last"
OUTPUT_MODIFIER_MORE = "more"
OUTPUT_MODIFIER_SORT = "sort"


PERMISSION_CRUD = "crud"
PERMISSION_EXECUTE = "execute"
PERMISSION_READ = "read"
PERMISSION_NONE = "none"


PROVIDER_TARGET_ANY = "any"


PICKLE_DUMPS_DIR = "/opt/vmware/nsx-cli/bin/cache"
PICKLE_EXTENSION = ".p"


SHOW_CONFIG_DNS = "dns"
SHOW_CONFIG_GLOBAL = "global"
SHOW_CONFIG_INTERFACE = "interface"


TEMPFILE_PREFIX = ".nsxcli_"


DEFAULT_CONFIRMATION_VALUE = "no"
NEWLINE_ASCII_CODE = 10
