# Copyright (C) 2020 VMware, Inc. All rights reserved.
# -- VMware Confidential

UNKNOWN = "UNKNOWN"
ERROR = "ERROR"
INSTALL_FAIL = "INSTALL_FAIL"
NORMAL = "NORMAL"
STATUS = "status"
PLUGIN = "PLUGIN"
NAME = "name"
PLUGIN_ID = "plugin_id"
DETAIL = "detail"
VERSION_STR = "version"
NODE_TYPE_STR = "node_type"
PRE_CONDITION_STR = "precondition"
METRICS_STR = "metrics"
DELAY_BEFORE_FIRST_CHECK = 'delay_before_first_check'
MODULES = "modules"
CLASSES = "classes"
ID = "ID"
PROFILE = "profile"
CONDITION_WAVEFRONT = 'wavefront'
REACHED = 'reached'
UNREACHED_MSG = 'unreached_msg'
CHECK_INTERVAL = 'CHECK_INTERVAL'
REPORT_INTERVAL = 'REPORT_INTERVAL'
SMALLEST_REPORT_INTERVAL_IF_CHANGE = 'SMALLEST_REPORT_INTERVAL_IF_CHANGE'
ENABLE = 'ENABLE'
PROFILE_NAME = "NAME"

#Constants for top process plugin
PID = 'pid'
USER_NAME = 'username'
NICE = 'nice'
VMS = 'vms'
RSS = 'rss'
SHARED = 'shard'
CPU_PERCENT = 'cpu_percent'
MEMORY_PERCENT = 'memory_percent'
TOP_PROCESS_LIST = 'top_process_list'
PROCESS = 'PROCESS'
MEM_LIST = 'mem_list'
CPU_LIST = 'cpu_list'
PERCENT = "%"
Bytes_to_MB = (1024*1024)

# Node latency constants
APPLIANCE_PROXY = 'appliance-proxy'
IP = 'ip'
ENTITY = 'entity'
UUID = 'uuid'
SRC_NODE = 'src_node'
SRC_IP = 'src_ip'
DST_NODE = 'dst_node'
DST_NODE_UUID = 'dst_node_uuid'
DST_IP = 'dst_ip'
LATENCY = 'latency'
PACKET_TRANSMITTED = 'packet_transmitted'
PACKET_RECEIVED = 'packet_received'
PACKET_LOSS_PERCENT = 'packet_loss_percent'
RTT_MIN = 'rtt_min'
RTT_AVG = 'rtt_avg'
RTT_MAX = 'rtt_max'
RTT_MDEV = 'rtt_mdev'
TOTAL_TIME = 'total_time'
LATENCY_LIST = 'latency_list'
UP = 'up'
DOWN = 'down'
COUNT = 'count'
NODE_LATENCY_THRESHOLD = 10.0

# Constant for data whiteboard
KEY = 'key'
VALUE = 'value'
TIMESTAMP = 'timestamp'
DATA = 'data'
EVENT_QUEUE = 'event_queue'
INTERVAL = 'interval'
MONITER_METRIC_REPORTED = "metric-reported"
MONITER_METRIC_FAIL_REPORT = "metric-fail-report"

# Data key for data whiteboard
FORKSERVER_STATS = 'nsx.sha.forkserver.stats'
FORKSERVER_MONITOR_STATS = 'nsx.sha.forkserver-monitor.stats'
FORKSERVER_PROCESS_STATS = 'nsx.sha.forkserver-process.stats'
FORKSERVER_EXECUTOR_STATS = 'nsx.sha.forkserver-executor.stats'
